# PSF-LoginServer - master - net.psforever.objects.zones.blockmap.Sector
PSF - LoginServer - master - net.psforever.objects.zones.blockmap.Sector
Keywords: PSF LoginServer master net.psforever.objects.zones.blockmap.Sector

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- BlockMap
- BlockMapEntity
- BlockMapEntry
- Sector
- SectorGroup
- SectorListOf
- SectorPopulation
- SectorTraits

c

net.psforever.objects.zones.blockmap

# Sector

###

#### class Sector extends SectorPopulation

The bucket of a blockmap structure that contains lists of entities that, within a given span of coordinate distance, are considered neighbors. While the coordinate space that supports a blockmap (?) may be any combination of two dimensions, the sectors are always square.

Source
  Sector.scala

Linear Supertypes
SectorPopulation, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Sector
2. SectorPopulation
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Sector(longitude: Int, latitude: Int, span: Int)

   longitude

     a starting coordinate of the region (in terms of width)

   latitude

     a starting coordinate of the region (in terms of length)

   span

     the distance across the sector in both directions

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addTo(o: BlockMapEntity): Boolean

   Appropriate an entity added to this blockmap bucket inot a list of objects that are like itself.

   Appropriate an entity added to this blockmap bucket inot a list of objects that are like itself.

   o

     the entity

   returns

     whether or not the entity was added

5.  def amenityList: List[Amenity]
   Definition Classes
     Sector → SectorPopulation
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def buildingList: List[Building]
   Definition Classes
     Sector → SectorPopulation
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def corpseList: List[Player]
   Definition Classes
     Sector → SectorPopulation
10.  def deployableList: List[Deployable]
    Definition Classes
      Sector → SectorPopulation
11.  def environmentList: List[PieceOfEnvironment]
    Definition Classes
      Sector → SectorPopulation
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def equipmentOnGroundList: List[Equipment]
    Definition Classes
      Sector → SectorPopulation
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  val latitude: Int
20.  def livePlayerList: List[Player]
    Definition Classes
      Sector → SectorPopulation
21.  val longitude: Int
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def removeFrom(o: Any): Boolean

    Remove an entity added to this blockmap bucket from a list of already-added objects that are like itself.

    Remove an entity added to this blockmap bucket from a list of already-added objects that are like itself.

    o

      the entity

    returns

      whether or not the entity was removed

26.  val span: Int
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  def total: Int

    A count of all the entities in all the lists.

    A count of all the entities in all the lists.

    Definition Classes
      SectorPopulation
30.  def vehicleList: List[Vehicle]
    Definition Classes
      Sector → SectorPopulation
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from SectorPopulation

### Inherited from AnyRef

### Inherited from Any

### Ungrouped